Package org.jboss.resteasy.plugins.providers.sse

## Class OutboundSseEventImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.sse.OutboundSseEventImpl

- All Implemented Interfaces:
    `javax.ws.rs.sse.OutboundSseEvent`, `javax.ws.rs.sse.SseEvent`

      public class OutboundSseEventImpl
      extends Object
      implements javax.ws.rs.sse.OutboundSseEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OutboundSseEventImpl.BuilderImpl` |

    - ### Nested classes/interfaces inherited from interface javax.ws.rs.sse.OutboundSseEvent

      `javax.ws.rs.sse.OutboundSseEvent.Builder`

  - ### Field Summary

    - ### Fields inherited from interface javax.ws.rs.sse.SseEvent

      `RECONNECT_NOT_SET`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComment()` |
    `Object` | `getData()` |
    `Type` | `getGenericType()` |
    `String` | `getId()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `String` | `getName()` |
    `long` | `getReconnectDelay()` |
    `Class<?>` | `getType()` |
    `boolean` | `isEscape()` |
    `boolean` | `isMediaTypeSet()` |
    `boolean` | `isReconnectDelaySet()` |
    `void` | `setEscape​(Boolean escape)` |
    `void` | `setMediaType​(javax.ws.rs.core.MediaType mediaType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `javax.ws.rs.sse.SseEvent`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `javax.ws.rs.sse.SseEvent`

    - #### getReconnectDelay

          public long getReconnectDelay()

      Specified by:
        `getReconnectDelay` in interface `javax.ws.rs.sse.SseEvent`

    - #### isReconnectDelaySet

          public boolean isReconnectDelaySet()

      Specified by:
        `isReconnectDelaySet` in interface `javax.ws.rs.sse.SseEvent`

    - #### getType

          public Class<?> getType()

      Specified by:
        `getType` in interface `javax.ws.rs.sse.OutboundSseEvent`

    - #### getGenericType

          public Type getGenericType()

      Specified by:
        `getGenericType` in interface `javax.ws.rs.sse.OutboundSseEvent`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `javax.ws.rs.sse.OutboundSseEvent`

    - #### isMediaTypeSet

          public boolean isMediaTypeSet()

    - #### setMediaType

          public void setMediaType​(javax.ws.rs.core.MediaType mediaType)

    - #### getComment

          public String getComment()

      Specified by:
        `getComment` in interface `javax.ws.rs.sse.SseEvent`

    - #### getData

          public Object getData()

      Specified by:
        `getData` in interface `javax.ws.rs.sse.OutboundSseEvent`

    - #### isEscape

          public boolean isEscape()

    - #### setEscape

          public void setEscape​(Boolean escape)